<meta chartset="utf-8" />
<? 
require_once('../conf/connection.php');

$codigo=$_POST["codarticulo"];
$cantidad=$_POST["stock"];

	  $numero=stripslashes($_POST["numero"]);
	  $sucu=stripslashes($_POST["sucu"]);
	  $nombreuser=stripslashes($_POST["nombreuser"]);

$fecha=date("Y-m-d");
$tipo=8;

if($des > $des_max){?>
<script>alert("Error: Descuento ingresado, supera descuento máximo permitido"); 
window.history.back(); 
</script>  <? }else{	  

//extraemos el precio del producto

$query_unit="SELECT * FROM articulos WHERE sucu='$sucu' AND referencia='$codigo'";
$res_unit=mysql_query($query_unit);
$nr_pro=mysql_num_rows($res_unit);
		      if($nr_pro>0)
			  {	
				$valor_unit=mysql_result($res_unit,0,"precio_tienda");
				$val_sto=mysql_result($res_unit,0,"stock");
				$sto_min=mysql_result($res_unit,0,"stock_minimo");
				$precio_compra=mysql_result($res_unit,0,"precio_compra");

//verficamos si existe o no 		 

if($cantidad>$val_sto){ ?> <script> alert("ERROR: Valor Ingresado Supera el Stock Actual");window.history.back(); </script>  <?  }else{

//calcular costos
$total_costo=$precio_compra*$cantidad;



		 // multiplicamos cantidad por precio
         $valor_total=$cantidad*$valor_unit;
		 
		 //aplicamos descuento al valor total 
		 $descuento=$valor_total*($des/100);
		 
		 $val_real=$valor_total-$descuento; 

         //insertamos pedidod a la base de datos 
         $insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, descuento ,valor_total, 
		 codarticulo, numero,sucu,costo,fecha) 
		 values (";
		 $insertar.="\"\", \"$cantidad\",
		  \"$valor_unit\", \"$descuento\", \"$val_real\" ,\"$codigo\",\"$numero\",\"$sucu\",\"$total_costo\",\"$fecha\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());

        //restamos al inventario 
 			 $sel_articulos="UPDATE articulos SET stock=(stock-'$cantidad') WHERE referencia='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
			 
		for($i=2;$i<=16;$i++){
			
			$query_kit="SELECT * FROM kit WHERE sucu='$sucu' AND referencia='$codigo'";
			$res_kit=mysql_query($query_kit);
			$nr_ide=mysql_num_rows($res_kit);
		      if($nr_ide>0)
			  {				
				$p_kit=mysql_result($res_kit,0,"codigo$i");	
		   	    $sel_articulos_kit="UPDATE articulos SET stock=(stock-'1') WHERE referencia='$p_kit'";
		        $rs_articulos_kit=mysql_query($sel_articulos_kit);
			  }
				
			
			}	 
        
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido,sucu)  	 
			VALUES ('','$fecha','7','VENTA PRODUCTO','','$cantidad','$codigo','$numero','$sucu')";					
	        $rs_operacion=mysql_query($query_operacion);
            

			mysql_close($conn);
		?>
        
       <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=index_cot.php?numero=<? echo $numero ?>&sucu=<? echo $sucu ?>&nombreuser=<? echo $nombreuser ?>">
         <? 
		
}}else{
				   ?>
                   
                   <script>
           			alert("Error: Artículo no se ha encontrado.");window.history.back();
        		   </script>
                   
                   <?
				  }
			  }
  ?>